program hanoy;
type bachnia=char;
var a,b,c:bachnia;
    k,kol:integer;
procedure h (n:integer; a,b,c:bachnia);
          begin
               if n>0 then
                      begin
                           h(n-1,a,c,b);
                           write ('disk',n);
                           writeln(a,'---->',c);
                           kol:=kol+1;
                           h(n-1,b,a,c)
                      end;
          end;
begin
               write('vvesti=');
               readln (k);
               a:='A'; b:='B';c:='C';
               h(k,a,b,c);
               writeln('kol==== ',kol);
end.F